#set mailserver localhost
set mailserver {{ smtp_host }} port {{ smtp_port }}
  USERNAME {{ smtp_user }} PASSWORD {{ smtp_password }}
  using {{ _smtp_tlsv1 }} with timeout 30 seconds

set alert {{ base_postmaster | mandatory }} not on { instance, action }
{{ comment_for_copy_mail | mandatory }}set alert {{ mail_in_copy }} not on { instance, action }

set mail-format {
   from: {{ base_postmaster }}
   subject: [Monit - {{ alert_group }} - {{ ansible_hostname }}] $SERVICE $EVENT at $DATE
   message: Monit $ACTION $SERVICE at $DATE on $HOST: $DESCRIPTION.
            Yours sincerely,
            monit
 }

set httpd port 2812 and
        use address localhost
        allow localhost

check system $HOST
    if loadavg (5min) > 3 for 20 cycles then alert
    if cpu usage > {{monit_system_cpu_usage }}% for 20 cycles then alert
    if memory usage > {{monit_system_memory_usage }}% for 20 cycles then alert
    if swap usage > {{monit_system_swap_usage }}% for 20 cycles then alert

check filesystem rootfs with path /
       if space usage > {{monit_system_root_partition_usage }}% then alert

check filesystem datafs with path {{ base_prod_path }}
    start program  = "/bin/mount {{ base_prod_path }}"
    stop program  = "/bin/umount {{ base_prod_path }}"
    if space usage > {{ monit_system_data_partition_usage }}% for 5 times within 15 cycles then alert
    if space usage > 99% then stop
    if inode usage > 99% then stop
    if changed fsflags then alert
